Herald
OpenapiApi keys

Rotate an API Key

Generates a new key for the API key, replacing the old hash. The old key is immediately invalidated. Returns the new plaintext key (shown once).

POST
/api/api-keys/{realmId}/{apiKeyId}/rotate

Generates a new key for the API key, replacing the old hash. The old key is immediately invalidated. Returns the new plaintext key (shown once).

Path Parameters

realmId*string

Realm ID

apiKeyId*string

API Key ID

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/api-keys/string/string/rotate"
{  "clientAppId": "d386372c-64d9-49da-bb8b-4b5eda60f56c",  "clientAppName": "string",  "createdAt": "string",  "enabled": true,  "expiresAt": "string",  "id": "string",  "key": "string",  "name": "string",  "realmId": "string",  "roleBindingError": "string"}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}